radio playlist crashes softrware if put on pause for a few hours and play reactivated/   it does not

know how to refresh the station ...
Description

....    and is confused and will do one of two things

➊   Be confused and then move onto the next item in list

➋   Be confused and terminate instance of Audacious

Now I know it can done as Foobar does it flawlessly   ie   to refresh the paused station and carry on playing said station

It would be a real bonus if Audacious could have that functionality added .     Not being a programmer i do not know how easy it is to

add    but would be very happy to see it put in place

Thanx in advance.  Great Program

Best Regards

shan

History

#1 - January 14, 2019 02:41 - John Lindgren

Please test with the latest version (3.10.1).  If the crash still occurs, please provide a backtrace.

#2 - January 14, 2019 07:50 - shan shanshantiq

ok John upgraded and still exact same ...    the crash is not the usual reaction   it really only happens if you leave it for say an hour or so  what it does

is it plays where it left off the track that was on the playlist back in time it does not UPDATE to the current track  ... WHAT  it always does and that

Foobar does not hence my question/query/request   is to update to the current track on playlist

what it does specifically is this >>

➊   plays A Day in The Life   at   11:58   on Station X

➋   pause it   at 11:59

➌   press play at 12:11  ....   it plays A Day in The Life for 30 seconds from where it left off ?  then either crashes   or moves on to NEXT station

my request here is to correct the coding so it plays what is playing at 12:11   on station X  ...    a feature which is in Foobar  now again I know not how

easy it is to do that ...   i am merely asking/requesting this

I hope i am being clear    3.10.1   responds in exact same way as 3.9    in this matter

Regards     shan
#3 - January 14, 2019 15:47 - John Lindgren

shan shanshantiq wrote:

my request here is to correct the coding so it plays what is playing at 12:11   on station X  ...    a feature which is in Foobar  now again I know not

how easy it is to do that ...   i am merely asking/requesting this

 

See, this is fundamentally not what "Pause" is meant to do.  "Pause" and then "Play" should resume playing at 11:59, where it was when you paused

the station.  What you are asking for (to begin playback again at the current stream time) is different and is achieved by "Stop" and then "Play".

It might be possible to detect when the remote server has closed the connection after a long "Pause", and automatically do a restart sequence ("Stop"

and then "Play") in that case.  I will not be working on that in the near future, but it's possible in theory.

Now, if you are seeing a crash, that is a real bug, and I would like to track it down.  Please provide a debugger backtrace so we can work on this

together.

#4 - January 14, 2019 18:36 - shan shanshantiq

I see.  hmmm.   so to stop and start. yes.    Only as I could achieve this on foobar with pause/play was trying to replicate this on Audacious

So I think this answers that John.  Thanx

PS:   When you say  Please provide a debugger backtrace   Plz  where would I find that on Ubuntu? Started from terminal only the word Audacious is

visible whatever the changes and nothing I can see in ./config/Audacious

Anyway thanx for your help and will now use Stop/Play as opposed to Pause/Play

Best Regards     shan

#5 - January 14, 2019 20:22 - John Lindgren

https://wiki.ubuntu.com/Backtrace

#6 - February 24, 2019 13:49 - John Lindgren

- Status changed from New to Rejected

Closing since there is not really a way to debug this without a backtrace.
